From d8467edb33575a56ae522e97ecfb329a27b1f462 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 19:36:12 -0500
Subject: [PATCH 14/17] avoid shadow vars: trigger.c: partitionId

commit 80ba4bb383538a2ee846fece6a7b8da9518b6866
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Thu Jul 22 18:33:47 2021 -0400

    Make ALTER TRIGGER RENAME consistent for partitioned tables
---
 src/backend/commands/trigger.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/commands/trigger.c b/src/backend/commands/trigger.c
index 62a09fb131b..bb4385c6ea9 100644
--- a/src/backend/commands/trigger.c
+++ b/src/backend/commands/trigger.c
@@ -1726,9 +1726,9 @@ renametrig_partition(Relation tgrel, Oid partitionId, Oid parentTriggerOid,
 
 			for (int i = 0; i < partdesc->nparts; i++)
 			{
-				Oid			partitionId = partdesc->oids[i];
+				Oid			partid = partdesc->oids[i];
 
-				renametrig_partition(tgrel, partitionId, tgform->oid, newname,
+				renametrig_partition(tgrel, partid, tgform->oid, newname,
 									 NameStr(tgform->tgname));
 			}
 		}
-- 
2.17.1

